Package org.apache.sling.launchpad.testservices.handlers

# Class AbstractDeleteHandler

java.lang.Object
org.apache.sling.launchpad.testservices.handlers.AbstractDeleteHandler

All Implemented Interfaces:
  `org.apache.jackrabbit.server.io.DeleteHandler`

Direct Known Subclasses:
  `TestDeleteHandler1`, `TestDeleteHandler2`

public abstract class AbstractDeleteHandler extends Object implements org.apache.jackrabbit.server.io.DeleteHandler

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`HANDLER_BKP`
`protected String`
`HANDLER_NAME`

## Constructor Summary

Constructors
Constructor
Description
`AbstractDeleteHandler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canDelete(org.apache.jackrabbit.server.io.DeleteContext deleteContext, org.apache.jackrabbit.webdav.DavResource resource)`
`boolean`
`delete(org.apache.jackrabbit.server.io.DeleteContext deleteContext, org.apache.jackrabbit.webdav.DavResource resource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HANDLER_NAME

protected String HANDLER_NAME

### HANDLER_BKP

protected String HANDLER_BKP

## Constructor Details

### AbstractDeleteHandler

public AbstractDeleteHandler()

## Method Details

### delete

public boolean delete(org.apache.jackrabbit.server.io.DeleteContext deleteContext, org.apache.jackrabbit.webdav.DavResource resource) throws org.apache.jackrabbit.webdav.DavException

Specified by:
  `delete` in interface `org.apache.jackrabbit.server.io.DeleteHandler`
Throws:
  `org.apache.jackrabbit.webdav.DavException`

### canDelete

public boolean canDelete(org.apache.jackrabbit.server.io.DeleteContext deleteContext, org.apache.jackrabbit.webdav.DavResource resource)

Specified by:
  `canDelete` in interface `org.apache.jackrabbit.server.io.DeleteHandler`